function [S, mu, sigma] = standardizeCols(M, mu, sigma)
% function S = standardize(M, mu, sigma)
% Make each column of M be zero mean, std 1.
%
% If mu, sigma are omitted, they are computed from M

M = double(M);
if nargin < 2
  mu = mean(M);
  sigma = std(M);
  ndx = find(sigma < eps);
  sigma(ndx) = 1;
end

[nrows ncols] = size(M);
S = M - repmat(mu, [nrows 1]);
S = S ./ repmat(sigma, [nrows 1]);

